import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

public class BatchInsertUsingJDBCStatement {

	public static void main(String[] args) {

		// variables
		Connection connection = null;
		Statement statement = null;

		// Step 1: Loading or registering MySQL JDBC driver class
		try {
			Class.forName("com.mysql.jdbc.Driver");
		}
		catch(ClassNotFoundException cnfex) {
			System.out.println("Problem in loading or registering MySQL JDBC driver");
			cnfex.printStackTrace();
		}

		// Step 2: Opening database connection
		try {

			// Step 2.A: Create and get connection using DriverManager class
			connection = DriverManager.getConnection("jdbc:mysql://localhost:3306/PLAYER_INFO", "root", "root@123"); 

			// Start of JDBC transaction
			connection.setAutoCommit(false);

			// Step 2.B: Creating JDBC Statement 
			statement = connection.createStatement();

			// create SQL query to insert PLAYER info
			String sqlInsertQuery_1 = "INSERT INTO PLAYER (NAME, AGE, MATCHES) VALUES ('Jacques Kallis', '40', '160')";

			// add to batch for execution
			statement.addBatch(sqlInsertQuery_1);

			// again create SQL query to insert another PLAYER info
			String sqlInsertQuery_2 = "INSERT INTO PLAYER (NAME, AGE, MATCHES) VALUES ('AB de Villiers', '32', '106')";

			// add to batch for execution
			statement.addBatch(sqlInsertQuery_2);

			// again create SQL query to insert another PLAYER info
			String sqlInsertQuery_3 = "INSERT INTO PLAYER (NAME, AGE, MATCHES) VALUES ('Hashim Amla', '33', '92')";

			// add to batch for execution
			statement.addBatch(sqlInsertQuery_3);

			// Step 2.C: Executing SQL & retrieve data into ResultSet
			statement.executeBatch();

			// End of JDBC transaction
			connection.commit();

			System.out.println("All new PLAYER info insertion is successfully using JDBC Statement Interface");
		}
		catch(SQLException sqlex){
			sqlex.printStackTrace();
		}
		finally {

			// Step 3: Closing database connection
			try {
				if(null != connection) {

					// cleanup resources, once after processing
					statement.close();

					// and then finally close connection
					connection.close();
				}
			}
			catch (SQLException sqlex) {
				sqlex.printStackTrace();
			}
		}
	}
}